Bug 1660431 - nodejs-underscore.string: Regular expression denial of service
Summary: nodejs-underscore.string: Regular expression denial of service
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1660432
TreeView+ depends on / blocked
 
Reported: 2018-12-18 10:17 UTC by Andrej Nemec
Modified: 2019-09-29 15:04 UTC (History)
0 users

Fixed In Version: nodejs-underscore.string 3.3.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-08 07:18:28 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2018-12-18 10:17:51 UTC
Versions of underscore.string prior to 3.3.5 are vulnerable to Regular Expression Denial of Service (ReDoS).

The function unescapeHTML is vulnerable to ReDoS due to an overly-broad regex. The slowdown is approximately 2s for 50,000 characters but grows exponentially with larger inputs.


Upstream issue:

https://github.com/epeli/underscore.string/issues/510

Comment 1 Jason Shepherd 2019-08-08 04:40:30 UTC
This vulnerability is out of security support scope for the following product:

 * Red Hat Mobile Application Platform

 Please refer to https://access.redhat.com/support/policy/updates/rhmap for more details

Comment 2 Jason Shepherd 2019-08-08 04:40:36 UTC
This vulnerability is out of security support scope for the following product:

 * Red Hat Mobile Application Platform

 Please refer to https://access.redhat.com/support/policy/updates/rhmap for more details

Comment 3 Jason Shepherd 2019-08-08 04:40:42 UTC
This vulnerability is out of security support scope for the following product:

 * Red Hat Mobile Application Platform

 Please refer to https://access.redhat.com/support/policy/updates/rhmap for more details

Comment 4 Jason Shepherd 2019-08-08 04:40:48 UTC
This vulnerability is out of security support scope for the following product:

 * Red Hat Mobile Application Platform

 Please refer to https://access.redhat.com/support/policy/updates/rhmap for more details


Note You need to log in before you can comment on or make changes to this bug.